classification
Title: IDLE: Enable theme-specific color configuration for code context
Type: behavior Stage: resolved
Components: IDLE Versions: Python 3.8, Python 3.7, Python 3.6
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: terry.reedy Nosy List: cheryl.sabella, miss-islington, terry.reedy
Priority: normal Keywords: patch

Created on 2018-05-29 11:13 by cheryl.sabella, last changed 2018-06-07 23:34 by miss-islington. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 7199 merged cheryl.sabella, 2018-05-29 11:19
PR 7334 merged miss-islington, 2018-06-02 01:47
PR 7335 merged miss-islington, 2018-06-02 01:48
PR 7500 merged terry.reedy, 2018-06-07 22:55
PR 7501 merged miss-islington, 2018-06-07 23:12
PR 7502 merged miss-islington, 2018-06-07 23:13
Messages (8)
msg318009 - (view) Author: Cheryl Sabella (cheryl.sabella) * (Python triager) Date: 2018-05-29 11:13
Item 9 from #33610:
Reenable user config of context colors

* Add context tag to themes in configuration.
* In codecontext, get theme and context color from configuration.
* Use the colors when creating the context label.
* In timer event, update colors if they have changed.
* Change name of font_timer_event function.
* Modify tests to include colors.
msg318480 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2018-06-02 01:45
New changeset de6516264e793be991f692fdd892707afb9104a7 by Terry Jan Reedy (Cheryl Sabella) in branch 'master':
bpo-33679: IDLE: Re-enable color configuration for code context (GH-7199)
https://github.com/python/cpython/commit/de6516264e793be991f692fdd892707afb9104a7
msg318482 - (view) Author: miss-islington (miss-islington) Date: 2018-06-02 02:16
New changeset 4e033c5aa12766b1a4ba90d2184dbf32ef87f06e by Miss Islington (bot) in branch '3.7':
bpo-33679: IDLE: Re-enable color configuration for code context (GH-7199)
https://github.com/python/cpython/commit/4e033c5aa12766b1a4ba90d2184dbf32ef87f06e
msg318483 - (view) Author: miss-islington (miss-islington) Date: 2018-06-02 02:56
New changeset dd851d6019efe79f67b13d67899afa36b33e10a8 by Miss Islington (bot) in branch '3.6':
bpo-33679: IDLE: Re-enable color configuration for code context (GH-7199)
https://github.com/python/cpython/commit/dd851d6019efe79f67b13d67899afa36b33e10a8
msg318978 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2018-06-07 22:30
Summary for users:  Previously, there was one code context foreground and background font color setting, default or custom, on the extensions tab, that applied to all themes.  Now, each theme has it own setting, as with other color settings.  For builting themes, the foreground is the same as normal text; the background is a contrasting gray.  Context colors for custom themes are set on the Hightlights tab along with others.  When one starts IDLE from a console and loads a custom theme without definitions for 'context', one will see a warning message on the console.
msg318981 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2018-06-07 23:11
New changeset bed523ba03c4525c9c79a6df700284b6c43024b3 by Terry Jan Reedy in branch 'master':
bpo-33642 and bpo-33679: Revise and condense blurbs (GH-7500)
https://github.com/python/cpython/commit/bed523ba03c4525c9c79a6df700284b6c43024b3
msg318985 - (view) Author: miss-islington (miss-islington) Date: 2018-06-07 23:30
New changeset ab5da50d82766acb49ba162dd61b0f8f19424e29 by Miss Islington (bot) in branch '3.7':
bpo-33642 and bpo-33679: Revise and condense blurbs (GH-7500)
https://github.com/python/cpython/commit/ab5da50d82766acb49ba162dd61b0f8f19424e29
msg318988 - (view) Author: miss-islington (miss-islington) Date: 2018-06-07 23:34
New changeset d071ab12c85636cd15c8ef33647dad9db8441afb by Miss Islington (bot) in branch '3.6':
bpo-33642 and bpo-33679: Revise and condense blurbs (GH-7500)
https://github.com/python/cpython/commit/d071ab12c85636cd15c8ef33647dad9db8441afb
History
Date User Action Args
2018-06-07 23:34:15miss-islingtonsetmessages: + msg318988
2018-06-07 23:30:27miss-islingtonsetmessages: + msg318985
2018-06-07 23:13:52miss-islingtonsetpull_requests: + pull_request7130
2018-06-07 23:12:55miss-islingtonsetpull_requests: + pull_request7128
2018-06-07 23:11:44terry.reedysetmessages: + msg318981
2018-06-07 22:55:31terry.reedysetpull_requests: + pull_request7126
2018-06-07 22:50:13terry.reedysettitle: IDLE: Re-enable color configuration for code context -> IDLE: Enable theme-specific color configuration for code context
2018-06-07 22:30:13terry.reedysetmessages: + msg318978
2018-06-02 03:02:39terry.reedysetstatus: open -> closed
type: enhancement -> behavior
title: IDLE: Configurable color on code context -> IDLE: Re-enable color configuration for code context
resolution: fixed
stage: patch review -> resolved
2018-06-02 02:56:00miss-islingtonsetmessages: + msg318483
2018-06-02 02:16:07miss-islingtonsetnosy: + miss-islington
messages: + msg318482
2018-06-02 01:48:04miss-islingtonsetpull_requests: + pull_request6966
2018-06-02 01:47:11miss-islingtonsetpull_requests: + pull_request6965
2018-06-02 01:45:56terry.reedysetmessages: + msg318480
2018-06-01 00:46:20terry.reedyunlinkissue33610 dependencies
2018-05-29 11:42:09cheryl.sabellalinkissue33610 dependencies
2018-05-29 11:19:15cheryl.sabellasetkeywords: + patch
stage: patch review
pull_requests: + pull_request6834
2018-05-29 11:13:51cheryl.sabellacreate